Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search.query
Interface QueryTreeVisitor<T>

    public interface QueryTreeVisitor<T>

Defines an interface of the visitor invoked by the walker. the type of the context object accompanying visited tree nodes.

Method Summary
`void` | `visitConjunction(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents a conjunction (logical and) of conditions.
`void` | `visitContains(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents that a field must contain a value.
`void` | `visitDisjunction(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents a disjunction (logical or) of conditions.
`void` | `visitEqual(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents that a field value must be greater than or equal to some specified value.
`void` | `visitFuzzy(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents a text field that is subject to query rewrite.
`void` | `visitGreaterOrEqual(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents an inequality between a field and value.
`void` | `visitGreaterThan(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents that a field value must be greater than some specified value.
`void` | `visitLessOrEqual(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents that a field value must be less than or equal to some specified value.
`void` | `visitLessThan(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents that a field value must be less than some specified value.
`void` | `visitLiteral(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents a text field that must not be altered.
`void` | `visitNegation(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents a negation of conditions.
`void` | `visitOther(QueryTreeWalker<T> walker, Tree node, T context)` Catch-all method for future type of query nodes.
`void` | `visitRestriction(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents a condition restricted to a named field.
`void` | `visitSequence(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents a sequence of expressions.
`void` | `visitValue(QueryTreeWalker<T> walker, Tree node, T context)` Visits a node that represents a constant value.

Method Detail

### visitSequence

    void visitSequence(QueryTreeWalker<T> walker,
                       Tree node,
                       T context)

  Visits a node that represents a sequence of expressions.

### visitConjunction

    void visitConjunction(QueryTreeWalker<T> walker,
                          Tree node,
                          T context)

  Visits a node that represents a conjunction (logical and) of conditions.

### visitDisjunction

    void visitDisjunction(QueryTreeWalker<T> walker,
                          Tree node,
                          T context)

  Visits a node that represents a disjunction (logical or) of conditions.

### visitNegation

    void visitNegation(QueryTreeWalker<T> walker,
                       Tree node,
                       T context)

  Visits a node that represents a negation of conditions.

### visitRestriction

    void visitRestriction(QueryTreeWalker<T> walker,
                          Tree node,
                          T context)

  Visits a node that represents a condition restricted to a named field.

### visitFuzzy

    void visitFuzzy(QueryTreeWalker<T> walker,
                    Tree node,
                    T context)

  Visits a node that represents a text field that is subject to query rewrite.

### visitLiteral

    void visitLiteral(QueryTreeWalker<T> walker,
                      Tree node,
                      T context)

  Visits a node that represents a text field that must not be altered.

### visitLessThan

    void visitLessThan(QueryTreeWalker<T> walker,
                       Tree node,
                       T context)

  Visits a node that represents that a field value must be less than some specified value.

### visitLessOrEqual

    void visitLessOrEqual(QueryTreeWalker<T> walker,
                          Tree node,
                          T context)

  Visits a node that represents that a field value must be less than or equal to some specified value.

### visitGreaterThan

    void visitGreaterThan(QueryTreeWalker<T> walker,
                          Tree node,
                          T context)

  Visits a node that represents that a field value must be greater than some specified value.

### visitGreaterOrEqual

    void visitGreaterOrEqual(QueryTreeWalker<T> walker,
                             Tree node,
                             T context)

  Visits a node that represents an inequality between a field and value.

### visitEqual

    void visitEqual(QueryTreeWalker<T> walker,
                    Tree node,
                    T context)

  Visits a node that represents that a field value must be greater than or equal to some specified value.

### visitContains

    void visitContains(QueryTreeWalker<T> walker,
                       Tree node,
                       T context)

  Visits a node that represents that a field must contain a value.

### visitValue

    void visitValue(QueryTreeWalker<T> walker,
                    Tree node,
                    T context)

  Visits a node that represents a constant value.

### visitOther

    void visitOther(QueryTreeWalker<T> walker,
                    Tree node,
                    T context)

  Catch-all method for future type of query nodes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD